|  | Home · All Classes · Modules

# QHelpEvent Class Reference
[QtGui module]

The QHelpEvent class provides an event that is used to request helpful information about a particular point in a widget. More...

Inherits QEvent.

### Methods

- __init__ (self, QEvent.Type type, QPoint pos, QPoint globalPos)
- __init__ (self, QHelpEvent other)
- QPoint globalPos (self)
- int globalX (self)
- int globalY (self)
- QPoint pos (self)
- int x (self)
- int y (self)

## Detailed Description

The QHelpEvent class provides an event that is used to request helpful information about a particular point in a widget.

This event can be intercepted in applications to provide tooltips or "What's This?" help for custom widgets. The type() can be either QEvent.ToolTip or QEvent.WhatsThis.

See also QToolTip, QWhatsThis, QStatusTipEvent, and QWhatsThisClickedEvent.

## Method Documentation

### QHelpEvent.__init__ (self, QEvent.Type type, QPoint pos, QPoint globalPos)

Constructs a help event with the given type corresponding to the widget-relative position specified by pos and the global position specified by globalPos.

type must be either QEvent.ToolTip or QEvent.WhatsThis.

See also pos() and globalPos().

### QHelpEvent.__init__ (self, QHelpEvent other)

### QPoint QHelpEvent.globalPos (self)

Returns the mouse cursor position when the event was generated in global coordinates.

See also pos(), globalX(), and globalY().

### int QHelpEvent.globalX (self)

Same as globalPos().x().

See also x(), globalY(), and globalPos().

### int QHelpEvent.globalY (self)

Same as globalPos().y().

See also y(), globalX(), and globalPos().

### QPoint QHelpEvent.pos (self)

Returns the mouse cursor position when the event was generated, relative to the widget to which the event is dispatched.

See also globalPos(), x(), and y().

### int QHelpEvent.x (self)

Same as pos().x().

See also y(), pos(), and globalPos().

### int QHelpEvent.y (self)

Same as pos().y().

See also x(), pos(), and globalPos().